## i-cal-error

i-cal-error

## Functions

void | i_cal_error_stop_here ()
void | i_cal_error_crash_here ()
ICalErrorEnum | i_cal_errno_return ()
void | i_cal_error_clear_errno ()
const gchar * | i_cal_error_strerror ()
const gchar * | i_cal_error_perror ()
void | i_cal_bt ()
void | i_cal_error_set_error_state ()
ICalErrorState | i_cal_error_get_error_state ()
void | i_cal_error_set_errno ()
ICalErrorState | i_cal_error_supress ()
void | i_cal_error_restore ()

## Types and Values

enum | ICalErrorEnum
enum | ICalErrorState

## Description

## Functions

### i_cal_error_stop_here ()

    void
    i_cal_error_stop_here (void);

Since: 1.0

### i_cal_error_crash_here ()

    void
    i_cal_error_crash_here (void);

Shout out the errors to the compiler.

Since: 1.0

### i_cal_errno_return ()

    ICalErrorEnum
    i_cal_errno_return (void);

Returns the error stored in the library. If no error, return I_CAL_NO_ERROR.

#### Returns

Return the error happened.

[transfer full]

Since: 1.0

### i_cal_error_clear_errno ()

    void
    i_cal_error_clear_errno (void);

Since: 1.0

### i_cal_error_strerror ()

    const gchar *
    i_cal_error_strerror (ICalErrorEnum e);

Translates the ICalErrorEnum to the string representation.

#### Parameters

e | The ICalErrorEnum to be translated |

#### Returns

The string representation of `e` .

[transfer none]

Since: 1.0

### i_cal_error_perror ()

    const gchar *
    i_cal_error_perror (void);

Gets the ICalErrorEnum in the string representation. This method called the icalerrorno_return to get the current error.

#### Returns

The string representation of the current error.

[transfer none]

Since: 1.0

### i_cal_bt ()

    void
    i_cal_bt (void);

Since: 1.0

### i_cal_error_set_error_state ()

    void
    i_cal_error_set_error_state (ICalErrorEnum error,
                                 ICalErrorState state);

Sets the state to the corresponding error in the library.

#### Parameters

error | The error enum |
state | The error state |

Since: 1.0

### i_cal_error_get_error_state ()

    ICalErrorState
    i_cal_error_get_error_state (ICalErrorEnum error);

Gets the state of an error.

#### Parameters

error | The error to be checked |

#### Returns

The state of the `error`

Since: 1.0

### i_cal_error_set_errno ()

    void
    i_cal_error_set_errno (ICalErrorEnum x);

Sets the errno.

#### Parameters

x | The error to be set |

Since: 1.0

### i_cal_error_supress ()

    ICalErrorState
    i_cal_error_supress (const gchar *error);

Suppresses the error.

#### Parameters

error | The error to be suppressed |

#### Returns

The error state suppressed

Since: 1.0

### i_cal_error_restore ()

    void
    i_cal_error_restore (const gchar *error,
                         ICalErrorState es);

Restores the error to specified state.

#### Parameters

error | The error to be restored |
es | The error state to be restored |

Since: 1.0

## Types and Values

### enum ICalErrorEnum

#### Members

I_CAL_NO_ERROR |  |
I_CAL_BADARG_ERROR |  |
I_CAL_NEWFAILED_ERROR |  |
I_CAL_ALLOCATION_ERROR |  |
I_CAL_MALFORMEDDATA_ERROR |  |
I_CAL_PARSE_ERROR |  |
I_CAL_INTERNAL_ERROR |  |
I_CAL_FILE_ERROR |  |
I_CAL_USAGE_ERROR |  |
I_CAL_UNIMPLEMENTED_ERROR |  |
I_CAL_UNKNOWN_ERROR |  |

### enum ICalErrorState

#### Members

I_CAL_ERROR_FATAL |  |
I_CAL_ERROR_NONFATAL |  |
I_CAL_ERROR_DEFAULT |  |
I_CAL_ERROR_UNKNOWN |  |